%global pypi_name cachetools
%global commitId 8f0b51661f9def22fb623de09648a2b20f73569b

%global common_description %{expand:
This module provides various memoizing 
collections and decorators, including 
variants of the Python Standard Library's 
@lru_cache function decorator.}
%global common_summary %{expand: Extensible memoizing collections and decorators}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        5.3.0
Release:        1%{?dist}
Summary:        %{common_summary}

License:        MIT
URL:            https://github.com/tkem/cachetools
Source0:        python-cachetools-8f0b51661f9def22fb623de09648a2b20f73569b.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-wheel

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
# Taken from pyproject-rpm-macros's 'pyproject_wheel'
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
# Taken from pyproject-rpm-macros's 'pyproject_install'
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.rst README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info

%changelog
* Wed Apr 12 2023 James Marshall <jamarsha@redhat.com> 5.3.0-1
- Initial release
